ARCH        = OS
SHOBJ       = YES

include $(CDEV)/extensions/cdevGenericServer/include/makeinclude/Makefile.$(ARCH)

APPNAME     = "CDEV/ACE Script Service Tests"
CXXINCLUDES = -I./
BASEBIN     = ./
SO_LIBS     = $(OSLIBS)

# ******************************************************************************
# * The BINARIES definition names all of the binary files that should be deleted
# * whenever "make clean" is executed.
# ******************************************************************************
BINARIES    = $(BASEBIN)/TestProgram $(BASEBIN)/TestProgram2

ifeq ($(SHOBJ), YES)
        LIBS    = $(CDEVLIBS) $(OSLIBS)
	TARGETS = $(BASEBIN)/TestProgram \
		  $(BASEBIN)/TestProgram2
else
        LIBS    = $(CDEVLIBS) -lScriptService $(OSLIBS)
	TARGETS = $(BASEBIN)/TestProgram \
		  $(BASEBIN)/TestProgram2
endif

targets : $(TARGETS)
		
$(BASEBIN)/TestProgram : $(OBJDIR)/TestProgram.o 
	@rm -f $@
	@echo "=> $(CXX) -o $(@F) $(^F)"
	@$(LINK.cc) $^ -o $@ $(LIBS) 
	@echo "<= Done...\n"

$(BASEBIN)/TestProgram2 : $(OBJDIR)/TestProgram2.o 
	@rm -f $@
	@echo "=> $(CXX) -o $(@F) $(^F)"
	@$(LINK.cc) $^ -o $@ $(LIBS) 
	@echo "<= Done...\n"
